import theater.*;
import javax.swing.JOptionPane;

/**
 * Aktionsbutton zur Festlegung der Anzahl an Körnern im Maul des Hamsters
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (17.07.2009)
 *
 */
public class KoernerInsMaul extends ActionHandler {

    public void handleAction(Stage stage, Actor solist) {
        Solist sol = (Solist)solist;
        int anzahl = sol.getAnzahlKoerner();
        String input = JOptionPane.showInputDialog("Anzahl Körner im Maul?", anzahl);
        try {
            anzahl = new Integer(input);
        } catch (Exception exc) {
        }
        sol.setKoernerImMaul(anzahl);
    }
}

